CVE-2004-2731

NameCVE-2004-2731
DescriptionMultiple integer overflows in Sbus PROM driver (drivers/sbus/char/openprom.c) for the Linux kernel 2.4.x up to 2.4.27, 2.6.x up to 2.6.7, and possibly later versions, allow local users to execute arbitrary code by specifying (1) a small buffer size to the copyin_string function or (2) a negative buffer size to the copyin function.
SourceCVE (at NVD; oss-sec, fulldisc, OSVDB, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, more)
ReferencesDSA-1503-1, DSA-1503-2
NVD severitymedium (attack range: local)
Debian/oldoldstablenot vulnerable.
Debian/oldstablenot known to be vulnerable.
Debian/stablenot known to be vulnerable.
Debian/testingnot known to be vulnerable.
Debian/unstablenot known to be vulnerable.

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
linux-2.6 (PTS)squeeze, squeeze (security)2.6.32-48squeeze6fixed
squeeze (lts)2.6.32-48squeeze13fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
hostap-modules-i386sourcesarge1:0.3.7-1sarge3mediumDSA-1503-1
i2csourcesarge1:2.9.1-1sarge2mediumDSA-1503-1
kernel-image-2.4.27-alphasourcesarge2.4.27-10sarge6mediumDSA-1503-1
kernel-image-2.4.27-armsourcesarge2.4.27-2sarge6mediumDSA-1503-1
kernel-image-2.4.27-i386sourcesarge2.4.27-10sarge6mediumDSA-1503-1
kernel-image-2.4.27-ia64sourcesarge2.4.27-10sarge6mediumDSA-1503-1
kernel-image-2.4.27-m68ksourcesarge2.4.27-3sarge6mediumDSA-1503-1
kernel-image-2.4.27-s390sourcesarge2.4.27-2sarge6mediumDSA-1503-1
kernel-image-2.4.27-sparcsourcesarge2.4.27-9sarge6mediumDSA-1503-1
kernel-image-speakup-i386sourcesarge2.4.27-1.1sarge5mediumDSA-1503-1
kernel-latest-2.4-alphasourcesarge101sarge3mediumDSA-1503-1
kernel-latest-2.4-i386sourcesarge101sarge2mediumDSA-1503-1
kernel-latest-2.4-s390sourcesarge2.4.27-1sarge2mediumDSA-1503-1
kernel-latest-2.4-sparcsourcesarge42sarge3mediumDSA-1503-1
kernel-patch-2.4.27-mipssourcesarge2.4.27-10.sarge4.040815-3mediumDSA-1503-1
kernel-patch-powerpc-2.4.27sourcesarge2.4.27-10sarge6mediumDSA-1503-1
kernel-source-2.4.27sourcesarge2.4.27-10sarge7mediumDSA-1503-2
linux-2.6source(unstable)2.6.18-1medium
mindi-kernelsourcesarge2.4.27-2sarge5mediumDSA-1503-1
pcmcia-modules-2.4.27-i386sourcesarge3.2.5+2sarge2mediumDSA-1503-1
systemimagersourcesarge3.2.3-6sarge5mediumDSA-1503-1

Notes

bufsize is unsigned since (at least) 2.6.18, might be fixed in prior versions

Search for package or bug name: Reporting problems